# Uses of Interface
com.sun.source.doctree.CommentTree

Packages that use CommentTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of CommentTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type CommentTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitComment(CommentTree node, P p)`
Visits a `CommentTree` node.

## Uses of CommentTree in com.sun.source.util

Methods in com.sun.source.util that return CommentTree
Modifier and Type
Method
Description
`CommentTree`
DocTreeFactory.`newCommentTree(String text)`
Creates a new `CommentTree`, to represent an HTML comment.
Methods in com.sun.source.util with parameters of type CommentTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitComment(CommentTree node, P p)`
Visits a `CommentTree` node.
`R`
SimpleDocTreeVisitor.`visitComment(CommentTree node, P p)`
Visits a `CommentTree` node.